Apache HTTP Server httpOnly Cookie 資訊洩漏

medium Nessus Plugin ID 57792
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

在遠端主機上執行的 Web 伺服器受到一個資訊洩漏弱點影響。

描述

執行於遠端主機上的 Apache HTTP Server 版本受到資訊洩漏弱點的影響。傳送要求時,HTTP 標頭長度超過伺服器限制會造成 web 伺服器以 HTTP 400 回應。預設情況下,惡意的 HTTP 標頭和值在 400 錯誤頁面上顯示。連同其他攻擊 (例如,跨網站指令碼) 使用時,這會導致 httpOnly Cookie 遭入侵。

解決方案

升級至 Apache 2.0.65 / 2.2.22 或更新版本。

另請參閱

http://fd.the-wildcat.de/apache_e36a9cf46c.php

http://www.nessus.org/u?e005199a

http://httpd.apache.org/security/vulnerabilities_22.html

http://svn.apache.org/viewvc?view=revision&revision=1235454

Plugin 詳細資訊

嚴重性: Medium

ID: 57792

檔案名稱: apache_httponly_info_leak.nasl

版本: 1.15

類型: remote

系列: Web Servers

已發布: 2012/2/2

已更新: 2018/9/20

相依性: http_version.nasl

組態: 啟用 Paranoid 模式

風險資訊

CVSS 評分資料來源: CVE-2012-0053

VPR

風險因素: Low

分數: 2.9

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.4

媒介: AV:N/AC:M/Au:N/C:P/I:N/A:N

時間媒介: E:POC/RL:OF/RC:C

CVSS v3

風險因素: Medium

基本分數: 5.3

時間分數: 4.8

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

時間媒介: E:P/RL:O/RC:C

弱點資訊

CPE: cpe:/a:apache:http_server

必要的 KB 項目: Settings/ParanoidReport

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2012/1/31

弱點發布日期: 2012/1/23

參考資訊

CVE: CVE-2012-0053

BID: 51706

EDB-ID: 18442